org.codehaus.plexus.interpolation

## Class PropertiesBasedValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.AbstractValueSource
  - - org.codehaus.plexus.interpolation.PropertiesBasedValueSource

All Implemented Interfaces:
  ValueSource

    public class PropertiesBasedValueSource
    extends AbstractValueSource

`ValueSource` implementation that wraps a `Properties` instance, and does a simple lookup of the entire expression string as the parameter for `Properties.getProperty(String)`, returning the result as the resolved value.

Version:
  $Id$
Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`PropertiesBasedValueSource(Properties properties)` Wrap the specified `Properties` object for use as a value source.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getValue(String expression)`

### Methods inherited from class org.codehaus.plexus.interpolation.AbstractValueSource

`addFeedback, addFeedback, clearFeedback, getFeedback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesBasedValueSource

    public PropertiesBasedValueSource(Properties properties)

Wrap the specified `Properties` object for use as a value source. Nulls are allowed.

Parameters:
  `properties` - The properties instance to wrap.

### Method Detail

#### getValue

    public Object getValue(String expression)

Returns:
  the result of `Properties.getProperty(String)`, using the entire expression as the key to lookup. If the wrapped properties instance is null, simply return null.